#!/usr/bin/env bash

FLATPAK () {
if ! ssh root@localhost 'flatpak update -y' ; then

	zenity --error \
	--title="Sovran_SystemsOS_Light Updater" \
	--text="Could Not Update Flatpaks."

	exit 1

fi

}

SPICE () {
if ! xterm -T "Sovran_SystemsOS_Light Updater" -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'" ; then

	zenity --error \
	--width=500 \
	--title="Sovran_SystemsOS_Light Updater" \
	--text="Could not complete the Sovran_SystemsOS_Light update."

	exit 1

else

	zenity --info \
	--ellipsize \
	--no-wrap \
	--width=500 \
	--title="Sovran_SystemsOS_Light Updater" \
	--text="Yay complete! Please reboot when you are ready."

fi

}

#########

curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Light_Updater/Updater%20Source%20Files/Intro.md" |

zenity --text-info \
--width=1000 \
--height=750 \
--title="Sovran_SystemsOS_Light Updater"

if [[ $? -eq 1 ]]; then

	exit 1

else

	FLATPAK | zenity --progress --no-cancel --auto-close --width=460 --pulsate --text="Updating Flatpaks now..." --title="Sovran_SystemsOS_Light Updater"

	SPICE | zenity --progress --no-cancel --auto-close --width=660 --pulsate --text="Updating now. In rare cases, it could take up to 3 hours. Please be patient..." --title="Sovran_SystemsOS_Light  Updater"

fi

exit 0